Loading...
Searching...
No Matches
MewsRestDataProvider::MewsRestTableDataProvider Class Reference

The MewsRestTableDataProvider data provider class. More...

`#include <MewsRestTableDataProvider.qc.dox.h>`

Inheritance diagram for MewsRestDataProvider::MewsRestTableDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options, hash< MewsTableApiConfig > config)
| Creates the object from constructor options.
| constructor (MewsRestClient rest, hash< MewsTableApiConfig > config)
| Creates the object from the arguments.
string | getName ()
| Returns the data provider name.
bool | searchAcceptsForeignField (string field)
| Allows data providers to accept foreign or virtual field names.
Public Member Functions inherited from MewsRestDataProvider::MewsRestDataProviderBase
| constructor ()
| Creates the object.
| constructor (MewsRestClient::MewsRestClient rest, *SwaggerDataProvider::SwaggerDataProvider sdp)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes

const | ConstructorOptions = ...
| Constructor options.
const | Expressions = ...
| Supported Expressions.
const | SearchOptions = ...
| Search options.
const | UTC = new TimeZone("UTC")
| UTC time zone.
Public Attributes inherited from MewsRestDataProvider::MewsRestDataProviderBase
const | MaxRecords = 1000
| Max records that the Mews API will return in one request.

## Protected Member Functions

AbstractDataProvider | getTableDataProvider ()
| Retrieves the Swagger data provider for the table data.
DataProvider::AbstractDataProviderRecordIterator | searchRecordsImpl (*hash< auto > where_cond, *hash< auto > search_options)
| Returns an iterator for zero or more records matching the search options.
| setRecordTypeIntern ()
| Retrieve the record information.

## Protected Attributes

hash< string, bool > | comp_end
| Comparison ...End fields.
hash< string, bool > | comp_start
| Comparison ...Start fields.
hash< MewsTableApiConfig > | config
| The table config.
hash< string, AbstractDataField > | record_type
| Record info for the table.
Protected Attributes inherited from MewsRestDataProvider::MewsRestDataProviderBase

## Detailed Description

The MewsRestTableDataProvider data provider class.

## Member Function Documentation

## searchRecordsImpl()

DataProvider::AbstractDataProviderRecordIterator MewsRestDataProvider::MewsRestTableDataProvider::searchRecordsImpl | ( | *hash< auto > | where_cond,
|  | *hash< auto > | search_options )

protected

Returns an iterator for zero or more records matching the search options.

Parameters

  where_cond | the search criteria
  search_options | the search options after processing by validateSearchOptions()

See also
  requestSearchRecordsImpl()